Bug 2241120 - CVE-2023-5129 chromium: libwebp: out-of-bounds write with a specially crafted WebP lossless file [fedora-all]
Summary: CVE-2023-5129 chromium: libwebp: out-of-bounds write with a specially crafted...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 38
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-5129
TreeView+ depends on / blocked
 
Reported: 2023-09-28 06:56 UTC by Sandipan Roy
Modified: 2023-10-02 01:24 UTC (History)
4 users (show)

Fixed In Version: chromium-117.0.5938.132-2.fc39 chromium-117.0.5938.132-1.el7 chromium-117.0.5938.132-1.fc37 chromium-117.0.5938.132-1.el9 chromium-117.0.5938.132-1.el8 chromium-117.0.5938.132-2.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-02 00:16:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-09-28 06:56:08 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2240759

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-09-28 06:56:11 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2240759,2241120

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-09-30 06:17:19 UTC
FEDORA-EPEL-2023-cca1f87440 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-cca1f87440

Comment 3 Fedora Update System 2023-09-30 06:17:32 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8f3e1b6f78

Comment 4 Fedora Update System 2023-09-30 06:17:44 UTC
FEDORA-EPEL-2023-edc9c74369 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-edc9c74369

Comment 5 Fedora Update System 2023-09-30 06:17:56 UTC
FEDORA-2023-0cd03c3746 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cd03c3746

Comment 6 Fedora Update System 2023-09-30 06:18:08 UTC
FEDORA-2023-d66a01ad4f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d66a01ad4f

Comment 7 Fedora Update System 2023-09-30 06:18:20 UTC
FEDORA-2023-c890266d3f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c890266d3f

Comment 8 Fedora Update System 2023-10-01 04:08:35 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-8f3e1b6f78

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-10-01 04:54:46 UTC
FEDORA-2023-0cd03c3746 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0cd03c3746`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0cd03c3746

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-10-01 05:02:21 UTC
FEDORA-EPEL-2023-edc9c74369 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-edc9c74369

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-01 05:12:57 UTC
FEDORA-EPEL-2023-cca1f87440 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-cca1f87440

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-10-01 05:13:42 UTC
FEDORA-2023-c890266d3f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c890266d3f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c890266d3f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-10-01 06:02:03 UTC
FEDORA-2023-d66a01ad4f has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-d66a01ad4f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-d66a01ad4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-10-02 00:16:00 UTC
FEDORA-2023-c890266d3f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-10-02 00:36:02 UTC
FEDORA-EPEL-2023-edc9c74369 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-10-02 00:40:25 UTC
FEDORA-2023-0cd03c3746 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-10-02 00:52:24 UTC
FEDORA-EPEL-2023-cca1f87440 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2023-10-02 00:54:28 UTC
FEDORA-EPEL-2023-8f3e1b6f78 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-10-02 01:24:30 UTC
FEDORA-2023-d66a01ad4f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.